package com.abi.qms.platform.dao.mapper;

import com.abi.qms.platform.dao.entity.QrRepertory;
import com.abi.qms.platform.dao.vo.result.QrRepertoryVO;
import com.abi.qms.platform.dto.req.ListQrRepertoryReq;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * 码库 Mapper接口
 *
 * @author WeiganCai
 * @date 2021-04-25
 */
public interface QrRepertoryMapper extends BaseMapper<QrRepertory> {

	/**
	 * 分页查询码库信息
	 */
	IPage<QrRepertoryVO> listQrRepertory(IPage page, ListQrRepertoryReq param);

	/**
	 * 查询码库详细信息
	 */
	QrRepertoryVO selectQrRepertoryDetailById(Long id);
}
